Parse manually

Use the following code snippet to parse an expense file with manual column matching:
    <code class="hljs">curl -X PUT -d '{"parseConfig":{"idFile":"{FILE_ID}","transactionDateColumn":"A","descriptionColumn":"B", "amountColumn":"C", "dateFormat": "DD/MM/YYYY", "currencyColumn":"D"}}' -H "Authorization: Bearer API_KEY" -H "Content-Type: application/json" "https://api.toriihq.com/v1.0/parsings/manual"</code>
    <ul>
      <li>Date format must be identical for all transactions</li>
      <li>
        You should only send one of these parameters: <i>currencyColumn</i> or <i>currency</i>
        <div>Use <mark>currency</mark> when all the transactions are of the same currency</div>
        <div>Use <mark>currencyColumn</mark> when the transactions are of different currencies</div>
      </li>
    </ul>
    <hr />
    <h3>IMPORTANT</h3>
    <p><strong>After sending a parse request, make sure to poll <code>https://api.toriihq.com/v1.0/parsings/{PARSING_ID}</code> to verify that the request was successful</strong></p>

  • Rate limit: 200 requests per minute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Manual parse configuration

parseConfig
object
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*